Bug 802560 - [eap6] Availability check fails for socket binding groups
[eap6] Availability check fails for socket binding groups
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.3
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 16:52 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:26:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-03-12 16:52:33 EDT
Description of problem: After importing EAP6 into inventory socket binding groups seem to be offline.


Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: fabfc31
EAP6 ER1

How reproducible:always 


Steps to Reproduce:
1.inventory EAP6
2.check agent log

  
Actual results:

012-03-12 20:14:16,364 DEBUG [InventoryManager.availability-1] (rhq.core.pc.inventory.AvailabilityExecutor)- Could not create resource component proxy for Resource[id=10211, uuid=9a0826fa-f1a6-4bb4-b448-a9fac4bb5bfb, type={jboss-as-7}SocketBindingGroup, key=socket-binding-group=standard-sockets, name=standard-sockets, parent=EAP standalone].
org.rhq.core.clientapi.agent.PluginContainerException: Component does not exist for resource: Resource[id=10211, uuid=9a0826fa-f1a6-4bb4-b448-a9fac4bb5bfb, type={jboss-as-7}SocketBindingGroup, key=socket-binding-group=standard-sockets, name=standard-sockets, parent=EAP standalone]
        at org.rhq.core.pc.inventory.ResourceContainer.createResourceComponentProxy(ResourceContainer.java:347)
        at org.rhq.core.pc.inventory.AvailabilityExecutor.checkInventory(AvailabilityExecutor.java:172)
        at org.rhq.core.pc.inventory.AvailabilityExecutor.checkInventory(AvailabilityExecutor.java:236)
        at org.rhq.core.pc.inventory.AvailabilityExecutor.checkInventory(AvailabilityExecutor.java:236)
        at org.rhq.core.pc.inventory.AvailabilityExecutor.call(AvailabilityExecutor.java:127)
        at org.rhq.core.pc.inventory.AvailabilityExecutor.run(AvailabilityExecutor.java:90)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
        at java.util.concurrent.FutureTask$Sync.innerRunAndReset(FutureTask.java:351)
        at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:178)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:165)
        at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:267)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
        at java.lang.Thread.run(Thread.java:636)



Expected results:no exception, socket binding groups ONLINE


Additional info:
Comment 1 Libor Zoubek 2012-03-13 10:19:15 EDT
No longer reproducible in Version: 4.4.0-SNAPSHOT Build Number: 35d045b
Comment 2 Heiko W. Rupp 2013-09-02 03:26:39 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.